s10_level_hints.levels["Level 6"] = function()
	return
	{
		minigame("area_minigame"),
		
		take("gold_ball", "gold_ball_wall"),
		click("area_ball_hole_right", "gold_ball"),
		
		IF(state("right_stone", "right_stone01"), click("right_stone")),
		
		IF(state("torch_left", "torch_left01"), click("torch_left")),
		
		take("gear"),
		click("area_for gear", "gear"),
		IF({state("chain", "chain01"), state("clip_mech", "clip_mech02")}, click("area_chain"))
	}	
end
